Bug 173518 - reference to GPL missing from (most) font files
reference to GPL missing from (most) font files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: urw-fonts (Show other bugs)
8
All Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-17 15:17 EST by Bob T.
Modified: 2009-01-09 01:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:54:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob T. 2005-11-17 15:17:17 EST
Description of problem:
Of the 35 .pfb font files, only three have a reference to the GPL.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info: The files from which the GPL reference is missing are all those
that have been modified by Valek Filippov, who claims copyright on his work but
is apparently not licensing it under the GPL.
Comment 1 Christian Iseli 2007-01-19 19:44:12 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Bob T. 2007-01-19 23:48:04 EST
It is still the case in urw-fonts-2.3-6.1.1 that only a few of the afm and pfb
files have a reference to the GNU GPL.  The same fonts are provided by the
tetex-fonts and tetex-afm packages and all of those afms and pfbs have
references to the GNU GPL.
It is true that rpm -qi urw-fonts mentions the licence but if the copyright
holder URW put references to the license in the font and font-metric files, they
should be left there. I believe they were removed by Valek Filippov, who added
Cyrillic glyphs, but had no right to strip the licence information from the files. 
Comment 3 Bug Zapper 2008-04-03 22:04:04 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bob T. 2008-04-04 09:02:29 EDT
GPL references still missing in FC8.  Two of the afms and pfbs have a reference
to "the file COPYING".  The two pfbs have in addition an important *exception*
to the GPL conditions:

As a special exception, permission is granted to include this font program in a
Postscript or PDF file that consists of a document that contains text to be
displayed or printed using this font, regardless of the conditions or license
applying to the document itself.

This Notice was inserted by the Copyright owner (URW) and should presumably be
in *all* the pfbs.  
Comment 5 Bug Zapper 2008-11-26 01:53:37 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 01:54:55 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.